Subject: bug#25081: Anybody needs help to set up a qemu VM for GNU/Hurd?

From: Clément Pit--Claudel <[email-masked]>
Date: Wed, 7 Dec 2016 19:54:44 -0500

On 2016-12-07 17:36, Paul Eggert wrote:
> At this point I gave up. I don't know where to grab GNU/Hurd packages from, and anyway this process is taking more of my time than I would like to spend.

Hey Paul,

Maybe this helps? I

* …downloaded the GNU Hurd image at https://people.debian.org/~sthibault/hurd-i386/README

* …connected to the qemu VM through SSH:

  kvm -net user,hostfwd=tcp:127.0.0.1:2222-:22 -net nic -drive file=debian-hurd-20160824.img,cache=writeback -m 1G

* …installed emacs' dependencies:

  $ apt install libmagickwand-dev libgtk-3-dev libxpm-dev libjpeg-dev libgif-dev libtiff-dev libgconf2-dev librsvg2-dev libxml2-dev libfreetype6-dev libm17n-dev libotf-dev libsystemd-dev libncurses-dev

* …downloaded emacs' pretest (this was cool)

  cp /ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.1.90.tar.xz ./
  tar xf emacs-25.1.90.tar.xz

* …configured

  cd emacs-25.1.90
  ./configure --without-makeinfo

* …compiled

  make -j4

* …started Emacs and ran eww; browsed to gnu.org.